Package Details: armory 0.96.5-1

Git Clone URL: https://aur.archlinux.org/armory.git (read-only, click to copy)
Package Base: armory
Description: Full-featured Bitcoin wallet management application
Upstream URL: https://github.com/goatpig/BitcoinArmory
Licenses: MIT, AGPL3
Conflicts: armory, armory-bin, armory-git, armory-goatpig-git
Provides: armory
Submitter: kokx
Maintainer: jon
Last Packager: jon
Votes: 40
Popularity: 0.000238
First Submitted: 2013-03-11 20:32
Last Updated: 2019-02-19 18:23

Latest Comments

« First ‹ Previous 1 2 3 4 Next › Last »

mazzolino commented on 2014-07-19 11:29

Any chance this will get updated to the latest version?

zpAUHlWLSNdNqVSU commented on 2014-05-31 12:55

Needs `community/python2-psutil` as a dependency.

Nareto commented on 2014-02-07 15:06

that works for me... is that the fix they said to have pushed to master?

dangersalad commented on 2014-01-17 20:41

Here is my diff on the PKGBUILD that gets this to work

4,5c4,5
< pkgver=0.88beta
< _pkgver=0.88-beta
---
> pkgver=0.90beta
> _pkgver=0.90-beta
22c22
< sha256sums=('baa1d335273af1f1f4d12dd68f066035e5b4485b215172690c307877ac62168c' '755b9c6f42a743f39509b9a91be1a329cc26d43d4b10ebefb4972f0252c0671e')
---
> sha256sums=('baa1d335273af1f1f4d12dd68f066035e5b4485b215172690c307877ac62168c' 'b72d995dde40c16f3ff109bfde880ad317d76ba639ce6724689af6da87500cd5')
29a30,33
> sed -ir 's/^LDFLAGS:=/# /' Makefile
> sed -ir 's/^CPPFLAGS:=/# /' Makefile
> sed -i '104,106d' whereispy.sh
> sed -i '94,99d' whereispy.sh

Anonymous comment on 2013-12-19 17:15

Build fix by zoidberg_md, for for me.

diff --git a/cppForSwig/whereispy.sh b/cppForSwig/whereispy.sh
index 60da19f..e8e7fc1 100755
--- a/cppForSwig/whereispy.sh
+++ b/cppForSwig/whereispy.sh
@@ -93,8 +93,8 @@ elif [[ "$sopath" ]]; then
echo
while [ 1 ]; do
echo -n "Counldn't find static libpython (.a). Found the .so how
- read ans
- if [ "$ans" == "n" ]; then
+ # read ans
+ if [ false ]; then
break;
elif [ "$ans" == "y" ]; then
failed=""

kokx commented on 2013-12-06 09:49

Unfortunately, I cannot update this package to v0.90-beta. This is because of the following issue:

https://github.com/etotheipi/BitcoinArmory/issues/139

Which prevents building Amory on non Debian-based distros.

s_tec commented on 2013-12-04 19:20

I get an error when trying to compile this package:

g++: error: /usr/lib/python2.7/config/libpython2.7.a: No such file or directory

Changing the PKGBUILD sed script from 'libpython2.7.a' to 'libpython2.7.so' fixes the problem.

mexus commented on 2013-12-02 05:53

Please add a python2-psutil as a dependency.

Traceback (most recent call last):
File "/opt/BitcoinArmory/ArmoryQt.py", line 28, in <module>
import psutil
ImportError: No module named psutil

Anonymous comment on 2013-11-30 11:38

It is freeze on:
==> Continue building armory-git ? [Y/n]
==> ------------------------------------
==>
==> Building and installing package
==> Tworzę pakiet: armory-git 20130303-1 (sob, 30 lis 2013, 12:35:42 CET)
==> Sprawdzanie zależności potrzebnych do uruchomienia...
==> Sprawdzanie zależności potrzebnych do budowy...
==> Retrieving sources...
-> Znaleziono run-armory.sh
==> Sprawdzam pliki źródłowe przy użyciu sha256sums...
run-armory.sh ... Zgadza się
==> Extracting sources...
==> Zaczynam build()
==> Connecting to GIT server....
Cloning into 'BitcoinArmory'...
remote: Counting objects: 9188, done.
remote: Compressing objects: 100% (2940/2940), done.
remote: Total 9188 (delta 6399), reused 8980 (delta 6204)
Receiving objects: 100% (9188/9188), 52.92 MiB | 636.00 KiB/s, done.
Resolving deltas: 100% (6399/6399), done.
Checking connectivity... done
==> GIT checkout done or server timeout
==> Starting build...
Cloning into '/tmp/yaourt-tmp-piotrek/aur-armory-git/src/BitcoinArmory-build'...
done.
make: dpkg-buildflags: Polecenie nie znalezione
make: dpkg-buildflags: Polecenie nie znalezione

joshirio commented on 2013-11-05 11:54

Please add "python2-psutil" as dependency.